Bug 25330 - Network install fails when retreiving package list
Network install fails when retreiving package list
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-30 15:22 EST by Paul Hirst
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-01 13:02:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Hirst 2001-01-30 15:22:54 EST
Using the bootnet.img image, the first section works properly but the second stage (after the shadow,md5,kerebos etc screen) fails.
I've tried 3 different sites and tried using both http and ftp installs.
Ftp hangs forever (well till I get bored, actually about 5 minutes) and http returns the error below fairly quickly. The sites I have tried are public mirrors in the uk and france.
I am behind a NAT here but we don't have to use the proxy (although there is one). I haven't tried using our proxy, I couldn't suss the syntax to specify it.
Often the first stage will fail if previous attempts have been made in the same boot. As in just now I tried to specify a proxy, gave up, went back to try without a proxy but only the first file has been download and the install has now hung.

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", line 32, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 532, in getHeaderList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/urlinstall.py", line 76, in readHeaders
TypeError: bad magic in header

Local variables in innermost frame:
self: <urlinstall.UrlInstallMethod instance at 8269720>
url: <addinfourl at 137198808 whose fp = <open file '<socket>', mode 'rb' at 82d9458>>
hl: []
magic1: 1008813135
connected: 1
raw: <!DOCTYPE HTML P
info: (1329865020, 1348031555, 1414012997, 1344293965)

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iurlinstall
UrlInstallMethod
p4
(dp5
S'baseUrl'
p6
S'http://sunsite.org.uk/http:/sunsite.org.uk/Mirrors/ftp.redhat.com/pub/redhat/redhat-7.0/i386/en'
sbsS'initlevel'
p7
I3
sS'skipLilo'
p8
I0
sS'progressWindow'
p9
NsS'expert'
p10
I0
sS'ddruidReadOnly'
p11
I0
sS'bootdisk'
p12
I0
sS'language'
p13
(itodo
Language
(dp14
S'abbrevMap'
p15
(dp16
S'es_ES'
p17
S'Spanish'
p18
sS'tr_TR'
p19
S'Turkish'
p20
sS'sr_YU'
p21
S'Serbian'
p22
sS'de_DE'
p23
S'German'
p24
sS'sk_SK'
p25
S'Slovak'
p26
sS'ru_RU.KOI8-R'
p27
S'Russian'
p28
sS'is_IS'
p29
S'Icelandic'
p30
sS'no_NO'
p31
S'Norwegian'
p32
sS'sv_SE'
p33
S'Swedish'
p34
sS'en_US'
p35
S'English'
p36
sS'it_IT'
p37
S'Italian'
p38
sS'da_DK'
p39
S'Danish'
p40
sS'cs_CZ'
p41
S'Czech'
p42
sS'uk_UA.KOI8-U'
p43
S'Ukrainian'
p44
sS'hu_HU'
p45
S'Hungarian'
p46
sS'fr_FR'
p47
S'French'
p48
sS'sl_SI'
p49
S'Slovenian'
p50
sS'ro_RO'
p51
S'Romanian'
p52
ssS'font'
p53
(dp54
g38
S'lat0-sun16'
sg22
S'cyr-sun16'
sg28
S'cyr-sun16'
sg36
S'None'
sg26
S'lat2-sun16'
sg32
S'lat0-sun16'
sg34
S'lat0-sun16'
sg48
S'None'
sg50
S'lat2-sun16'
sg52
S'lat2-sun16'
sg24
S'None'
sg20
S'lat5-sun16'
sg46
S'lat2-sun16'
sg18
S'None'
sg44
S'cyr-sun16'
sg42
S'lat2-sun16'
sg40
S'lat0-sun16'
sg30
S'lat0-sun16'
ssS'langs'
p55
(dp56
g38
g37
sg22
g21
sg28
g27
sg36
g35
sg26
g25
sg32
g31
sg34
g33
sg48
g47
sg50
g49
sg52
g51
sg24
g23
sg20
g19
sg46
g45
sg18
g17
sg44
g43
sg42
g41
sg40
g39
sg30
g29
ssS'info'
p57
(dp58
S'LANG'
p59
g35
ssS'map'
p60
(dp61
g38
S'iso15'
sg22
S'iso05'
sg28
S'koi8-r'
sg36
S'None'
sg26
S'iso02'
sg32
S'iso15'
sg34
S'iso15'
sg48
S'None'
sg50
S'iso02'
sg52
S'iso02'
sg24
S'None'
sg20
S'iso09'
sg46
S'iso02'
sg18
S'None'
sg44
S'koi8-u'
sg42
S'iso02'
sg40
S'iso15'
sg30
S'iso15'
ssS'lang'
p62
g35
sbsS'fstab'
p63
NsS'lilo'
p64
(ililo
LiloConfiguration
(dp65
S'liloDevice'
p66
S'mbr'
p67
sS'initrdsMade'
p68
(dsS'edd'
p69
I0
sS'default'
p70
S'linux'
p71
sS'liloImages'
p72
(dp73
S'hda1'
p74
(g71
I2
tssS'liloLinear'
p75
I1
sS'liloAppend'
p76
NsbsS'comps'
p77
NsS'network'
p78
(itodo
Network
(dp79
S'netdevices'
p80
(dp81
S'eth0'
p82
(itodo
NetworkDevice
(dp83
g57
(dp84
S'BOOTPROTO'
p85
S'dhcp'
sS'ONBOOT'
p86
S'yes'
sS'DEVICE'
p87
g82
ssbssS'gateway'
p88
S''
sS'secondaryNS'
p89
S'194.203.134.129'
sS'hostname'
p90
S'gurgeh'
sS'primaryNS'
p91
S'192.168.254.254'
sS'domains'
p92
(lp93
S'external.sophos.com'
asS'isConfigured'
p94
I1
sS'readData'
p95
I1
sS'ternaryNS'
p96
S'194.203.134.130'
sbsS'upgrade'
p97
I0
sS'instClass'
p98
(icustom
InstallClass
(dp99
S'rootPasswordCrypted'
p100
I0
sS'nameserver'
p101
S''
sS'x'
NsS'rootPassword'
p102
NsS'makeBootdisk'
p103
I0
sS'installType'
p104
NsS'postScript'
p105
NsS'earlySwapOn'
p106
I0
sS'networkDevice'
p107
NsS'clearText'
p108
Nsg64
(g67
I1
S''
tsg13
NsS'name'
p109
S''
sS'postInChroot'
p110
I0
sS'pixmap'
p111
S''
sS'partitions'
p112
(lsS'clearType'
p113
Nsg88
S''
sS'mouse'
p114
NsS'packages'
p115
NsS'timezone'
p116
NsS'zeroMbr'
p117
I0
sS'keyboard'
p118
NsS'groups'
p119
NsS'bootProto'
p120
NsS'netmask'
p121
S''
sS'raidList'
p122
(lsS'skipSteps'
p123
(dsS'auth'
p124
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg90
Nsg63
(lsS'showgroups'
p125
NsS'ip'
p126
S''
sS'defaultRunlevel'
p127
NsS'desktop'
p128
S''
sS'clearPartText'
p129
NsS'clearParts'
p130
I0
sbsS'rootpassword'
p131
NsS'extraModules'
p132
(lp133
sg114
(imouse
Mouse
p134
(dp135
S'device'
p136
S'psaux'
p137
sg57
(dp138
S'XMOUSETYPE'
p139
S'PS/2'
p140
sS'FULLNAME'
p141
S'Generic - 3 Button Mouse (PS/2)'
p142
sS'MOUSETYPE'
p143
S'ps/2'
p144
ssS'emu'
p145
I0
sS'wasProbed'
p146
I1
sS'emulate'
p147
I0
sbsS'ddruidAlreadySaved'
p148
I0
sS'serial'
p149
I0
sg116
(S'Europe/London'
I1
I0
tsg117
I0
sg118
(ikbd
Keyboard
(dp150
S'layout'
p151
NsS'model'
p152
NsS'type'
p153
S'PC'
p154
sg57
(dp155
S'KEYBOARDTYPE'
p156
S'pc'
p157
sS'KEYTABLE'
p158
S'uk'
p159
ssbsS'skipFdisk'
p160
I1
sS'fdDevice'
p161
S'fd0'
p162
sS'installSystem'
p163
I1
sS'setupFilesystems'
p164
I1
sg124
(itodo
Authentication
(dp165
S'useNIS'
p166
I0
sS'nisServer'
p167
S''
sS'useLdap'
p168
I0
sS'krb5Kdc'
p169
S''
sS'useHesiod'
p170
I0
sS'ldapServer'
p171
S''
sS'nisDomain'
p172
S''
sS'krb5Realm'
p173
S''
sS'useLdapauth'
p174
I0
sS'hesiodRhs'
p175
S''
sS'useShadow'
p176
I1
sS'nisuseBroadcast'
p177
I0
sS'useKrb5'
p178
I0
sS'useMD5'
p179
I1
sS'ldapBasedn'
p180
S''
sS'krb5Admin'
p181
S''
sS'hesiodLhs'
p182
S''
sS'hesiodDlhs'
p183
S''
sbsg90
NsS'reconfigOnly'
p184
I0
sS'x'
(ixf86config
XF86Config
(dp185
S'monlist'
p186
(dsS'keyModel'
p187
S'pc101'
p188
sS'monids'
p189
(dsg136
NsS'monEisa'
p190
NsS'server'
p191
NsS'monHoriz'
p192
S'31.5'
p193
sS'devID'
p194
NsS'modes'
p195
(dp196
S'8'
(lp197
S'640x480'
p198
assS'keyOptions'
p199
S''
sS'keyVariant'
p200
S''
sS'monID'
p201
S'Unprobed Monitor'
p202
sS'keyLayout'
p203
S'gb'
p204
sS'manualModes'
p205
(dsg114
g134
sS'keyRules'
p206
S'xfree86'
p207
sS'monVert'
p208
S'60'
p209
sS'cardMan'
p210
NsS'monSect'
p211
S''
sS'primary'
p212
I0
sS'vidRam'
p213
NsS'probed'
p214
I0
sS'monName'
p215
NsS'vidCards'
p216
(lsS'skip'
p217
I0
sS'files'
p218
S'\012# The location of the RGB database.  Note, this is the name of the\012# file minus the extension (like ".txt" or ".db").  There is normally\012# no need to change the default.\012\012    RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are allowed (they are concatenated together)\012# By default, Red Hat 6.0 and later now use a font server independent of\012# the X server to render fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012    FontPath   "unix/:7100"\012'
p219
sbsS'users'
p220
NsS'instPath'
p221
S'/mnt/sysimage'
p222
sS'intf'
p223
NsS'hdList'
p224
Nsb.
Comment 1 Michael Fulbright 2001-02-01 13:02:14 EST
Try a different server - this is a problem with a corrupted file on the server,
or in transit.
Comment 2 Michael Fulbright 2001-02-23 12:29:48 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.